#
# spec file for sg_utils
# 
# please send bugfixes or comments to dgilbert@interlog.com
#

Summary: Utils for Linux's SCSI generic driver devices + raw devices
Name: sg_utils
Version: 1.02
Release: 1
Packager: dgilbert@interlog.com
License: GPL
Group: Utilities/System
Source: ftp://www.torque.net/sg/p/sg_utils-1.02.tgz
Url: http://www.torque.net/sg/u_index.html
Provides: sg_utils

%description
Collection of small useful tools, that are based on the Linux SCSI generic
(sg) interface and give info on the SCSI bus, copy data,... The utilities
to copy data are based on the Unix dd command and are called sg_dd and
sgp_dd. These 2 commands can also act on raw devices (e.g. /dev/raw/raw1).

Warning: Some of these tools access the internals of your system and the
incorrect usage of them may render your system inoperable.

Authors:
--------
    Doug Gilbert <dgilbert@interlog.com>
    Kurt Garloff <garloff@suse.de>  [sg_test_rwbuff]
    Peter Allworth  [contribution to sg_dd and sgp_dd]

%prep
%setup

%build
make

%install
make install INSTDIR=%{_bindir} MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(-,root,root) %doc README README.sg_start CHANGELOG INSTALL
%attr(755,root,root) %{_bindir}/sg_dd
%attr(755,root,root) %{_bindir}/sg_whoami
%attr(755,root,root) %{_bindir}/sg_debug
%attr(755,root,root) %{_bindir}/sg_inq
%attr(755,root,root) %{_bindir}/sg_scan
%attr(755,root,root) %{_bindir}/sg_rbuf
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sg_runt_ex
%attr(755,root,root) %{_bindir}/sg_simple1
%attr(755,root,root) %{_bindir}/sg_simple2
%attr(755,root,root) %{_bindir}/sg_readcap
%attr(755,root,root) %{_bindir}/scsi_inquiry
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_bindir}/sg_map
%attr(755,root,root) %{_bindir}/sg_turs
%attr(755,root,root) %{_bindir}/sg_test_rwbuf
%attr(755,root,root) %{_bindir}/sg_start
%attr(755,root,root) %{_bindir}/sg_read
%attr(-,root,root) %doc %{_mandir}/man8/sg_dd.8.gz
%attr(-,root,root) %doc %{_mandir}/man8/sgp_dd.8.gz
%attr(-,root,root) %doc %{_mandir}/man8/sg_map.8.gz
%attr(-,root,root) %doc %{_mandir}/man8/sg_rbuf.8.gz
%attr(-,root,root) %doc %{_mandir}/man8/sg_read.8.gz
 

%changelog
* Wed Jan 01 2003 - dgilbert@interlog.com
- guard against block devs answering sg's ioctls, sginfo fix, sg_inq resync
  * sg_utils-1.00
* Sun Jul 28 2002 - dgilbert@interlog.com
- in sg_dd and sgp_dd drop "gen=1" arg, skip 0.99 version
  * sg_utils-1.00
* Mon Feb 26 2002 - dgilbert@interlog.com
- add "time=" argument to sg_dd + sgp_dd, "gen=" to sg_dd; sprintf cleanup
  * sg_utils-0.98
* Sun Dec 23 2001 - dgilbert@interlog.com
- move isosize to archive directory; now found in util-linux-2.10s and later
  * sg_utils-0.97
* Fri Dec 21 2001 - dgilbert@interlog.com
- add sg_read, '-t' switch to sg_rbug, '-p' to sg_inq, '-n' to scsi_inquiry
  * sg_utils-0.96
* Sun Sep 15 2001 - dgilbert@interlog.com
- sg_map can do inquiry
  * sg_utils-0.95
* Sun Apr 19 2001 - dgilbert@interlog.com
- add sg_start, improve sginfo and sg_map [Kurt Garloff] 
  * sg_utils-0.94
* Sun Mar 5 2001 - dgilbert@interlog.com
- add sg_include.h, 'coe' more general in sgp_dd
  * sg_utils-0.93
* Tue Jan 16 2001 - dgilbert@interlog.com
- clean sg_err.h include dependencies, bug fixes, Makefile in archive directory
  * sg_utils-0.92
* Mon Dec 21 2000 - dgilbert@interlog.com
- signals for sg_dd, man pages and additions for sg_rbuf and isosize
  * sg_utils-0.91
* Mon Dec 11 2000 - dgilbert@interlog.com
- Initial creation of package, containing
  * sg_utils-0.90
